
local function update_recipes()
    
    for _, force in pairs(game.forces) do
        force.reset_recipes()
        force.reset_technologies()
        
        -- create tech/recipe table once
        local techs = force.technologies
        local recipes = force.recipes
        
        if techs["alien-technology"] and techs["alien-technology"].researched then
            if recipes["alien-artifact"] then
                recipes["alien-artifact"].enabled = true
            end
        end
    end
    
end

-- Runs when the mod is changed/updated:
script.on_configuration_changed(function(data)
    if data and data.mod_changes and data.mod_changes["Small_Artifacts"] then
        update_recipes()
    end
end)