
-- Here you can configure certain values:
config = 
{
    RecipeCount = 25,               -- how much small artifacts are needed to make one Alien Artifact       -- default - 25
    RecipeTime  = 30,               -- how much time does making one Alien Artifact take                    -- default - 30
}

require("prototypes.artifact")
require("prototypes.alien_tech")

-- Here you can change loot tables for small, medium, big and behemoth biters and spitters

-- probability - chance of dropping small artifacts upon death - ranging from 0 (0% chance) to 1 (100% chance)
-- count_mix   - minimal amount of artifacts dropped
-- count_max   - maximal amount of artifacts dropped
local enemies_loot = 
{
    small = 
    {
        item = "small-alien-artifact",
        probability = 0.2,
        count_min = 1,
        count_max = 2,
    },
    
    medium = 
    {
        item = "small-alien-artifact",
        probability = 0.4,
        count_min = 2,
        count_max = 4,
    },
    
    big = 
    {
        item = "small-alien-artifact",
        probability = 0.6,
        count_min = 2,
        count_max = 6,
    },
    
    behemoth = 
    {
        item = "small-alien-artifact",
        probability = 0.8,
        count_min = 4,
        count_max = 8,
    },
}

if data.raw.unit ~= nil and data.raw.turret ~= nil then
    for k, v in pairs(enemies_loot) do
        if data.raw.unit[k .. "-biter"] then
            if data.raw.unit[k .. "-biter"].loot == nil then 
                data.raw.unit[k .. "-biter"].loot = {}
            end
            table.insert(data.raw.unit[k .. "-biter"].loot, v)
        end
        
        if data.raw.unit[k .. "-spitter"] then
            if data.raw.unit[k .. "-spitter"].loot == nil then 
                data.raw.unit[k .. "-spitter"].loot = {}
            end
            table.insert(data.raw.unit[k .. "-spitter"].loot, v)
        end
        
        if data.raw.turret[k .. "-worm-turret"] then
            if data.raw.turret[k .. "-worm-turret"].loot == nil then 
                data.raw.turret[k .. "-worm-turret"].loot = {}
            end
            table.insert(data.raw.turret[k .. "-worm-turret"].loot, v)
        end
    end
end

